Bug 1416076 - Yum update to Satellite 6.2 showing rpm's originating from old satellite repositories
Summary: Yum update to Satellite 6.2 showing rpm's originating from old satellite repo...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 14:16 UTC by Harshad More
Modified: 2020-02-14 18:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-21 17:47:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Harshad More 2017-01-24 14:16:53 UTC
Description of problem:

Doing an upgrade from satellite 6.1 to 6.2 and following instructions as mentioned in 6.2 upgrade doc, we can see some rpm showing being installed from rhel-7-server-satellite-6.1-rpms

Version-Release number of selected component (if applicable):
6.2.6

How reproducible:
Always

Steps to Reproduce:
1. Take Satellite 6.1 and disable all repositories using subscription-manager repos --disable "*"

2. enable on required ones " subscription-manager repos --enable=rhel-7-server-rpms \
--enable=rhel-server-rhscl-7-rpms \
--enable=rhel-7-server-satellite-6.2-rpms"

3. # yum update or # yum distribution-synchronization

It gets successfully upgraded but when we do # yum list , we can see rpms showing old versions of satellite repo

Actual results:
## Some of the package output

python-oauth2.noarch                   1.5.211-8.el7sat @rhel-7-server-satellite-6.1-rpms
python-okaara.noarch                   1.0.32-1.el7sat  @rhel-7-server-satellite-6.1-rpms
python-werkzeug.noarch                 0.9.1-1.el7sat   @rhel-7-server-satellite-6.1-rpms
python-qpid-qmf.x86_64                 0.30-5.el7       @rhel-7-server-satellite-6.1-rpms
qpid-qmf.x86_64                        0.30-5.el7       @rhel-7-server-satellite-6.1-rpms
qpid-tools.noarch                      0.30-4.el7       @rhel-7-server-satellite-6.1-rpms
rubygem-ansi.noarch                    1.4.3-3.el7sat   @rhel-7-server-satellite-6.1-rpms
rubygem-gssapi.noarch                  1.1.2-4.el7sat   @rhel-7-server-satellite-6.1-rpms

Expected results:

All above package should show as coming from @rhel-7-server-satellite-6.2-rpms


Additional info:

Comment 2 Brad Buckingham 2017-01-24 18:17:32 UTC
If you perform the following, do you still see the old repositories?

yum clean all
yum repolist

Comment 3 Harshad More 2017-01-25 14:30:27 UTC
No when we do yum clean all and yum repolist. The old repositories are not shown, only the ones that you have enabled.

Comment 4 Brad Buckingham 2017-09-21 17:47:23 UTC
Closing based on comment 3.


Note You need to log in before you can comment on or make changes to this bug.